net.sf.saxon.trans

## Class NoDynamicContextException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.transform.TransformerException
      - - net.sf.saxon.trans.XPathException
        - - net.sf.saxon.trans.NoDynamicContextException

- All Implemented Interfaces:
    Serializable

      public class NoDynamicContextException
      extends XPathException

  This exception class is used when early (compile-time) evaluation of an expression is attempted, and the expression requires knowledge of the current dateTime or implicit timezone. This exception should be caught internally, and should result in evaluation of the expression being deferred until run-time
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trans.XPathException

      `XPathException.Circularity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoDynamicContextException(String message)` Create a NoDynamicContextException

  - ### Method Summary

    - ### Methods inherited from class net.sf.saxon.trans.XPathException

      `getAdditionalLocationText, getErrorCodeLocalPart, getErrorCodeNamespace, getErrorCodeQName, getErrorObject, getXPathContext, hasBeenReported, isGlobalError, isReportableStatically, isStaticError, isTypeError, makeStatic, makeXPathException, maybeSetContext, maybeSetErrorCode, maybeSetLocation, setAdditionalLocationText, setErrorCode, setErrorCodeQName, setErrorObject, setHasBeenReported, setIsGlobalError, setIsStaticError, setIsTypeError, setXPathContext`

    - ### Methods inherited from class javax.xml.transform.TransformerException

      `getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoDynamicContextException

          public NoDynamicContextException(String message)

      Create a NoDynamicContextException
      Parameters:
        `message` - the error message

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.